
version: '3.6'

services:

  engine-fire:
    image: 313.co.kr:5550/313devgrp/java-service-tree-framework-engine-fire:25.1.3
    environment:
      SPRING_PROFILES_ACTIVE: stg # 여기에 원하는 프로파일을 설정
      SLACK_TOKEN: xoxb-6506875664277-6522692878945-oPqPDaebTVqUNHQfoIokVc9y
      TZ: Asia/Seoul
    ports:
      - 33333:33333
    extra_hosts:
      - "313.co.kr:192.168.25.31"
      - "db.313.co.kr:192.168.25.40"
      - "nas.313.co.kr:192.168.25.42"
      - "ubuntu.313.co.kr:192.168.25.31"
      - "www.313.co.kr:192.168.25.31"
    volumes:
      - /nfs/allinone/app/engine-fire:/mnt
    deploy:
      mode: replicated
      replicas: 1
      placement:
        constraints: [node.hostname == swarm3]
    networks:
      - allinoneNetwork
    logging:
      driver: fluentd
      options:
        fluentd-address: 192.168.25.33:24224
        fluentd-async-connect: "true"
        fluentd-retry-wait: "1s"
        fluentd-max-retries: "30"
        tag: enginefire


        
networks:
  allinoneNetwork:
    driver: overlay
    attachable: true
